> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Delete sub-account from group

PUT https://api.brevo.com/v3/corporate/group/unlink/{groupId}/subAccounts
Content-Type: application/json

This endpoint allows you to remove a sub-organization from a group.

Reference: https://developers.brevo.com/reference/delete-sub-account-from-group

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `groupId` (string, required) — Group id

### Body (application/json)

- `subAccountIds` (list of long, required) — List of sub-account ids

## Response

### 204

SubAccounts removed from the group

## Examples

**Request**

```json
{
  "subAccountIds": [
    423432,
    234323,
    87678
  ]
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.masterAccount.deleteSubAccountFromGroup({
        groupId: "groupId",
        subAccountIds: [
            423432,
            234323,
            87678,
        ],
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.master_account.delete_sub_account_from_group(
    group_id="groupId",
    sub_account_ids=[
        423432,
        234323,
        87678
    ],
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\MasterAccount\Requests\PutCorporateGroupUnlinkGroupIdSubAccountsRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->masterAccount->deleteSubAccountFromGroup(
    'groupId',
    new PutCorporateGroupUnlinkGroupIdSubAccountsRequest([
        'subAccountIds' => [
            423432,
            234323,
            87678,
        ],
    ]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/corporate/group/unlink/groupId/subAccounts"

	payload := strings.NewReader("{\n  \"subAccountIds\": [\n    423432,\n    234323,\n    87678\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/corporate/group/unlink/groupId/subAccounts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"subAccountIds\": [\n    423432,\n    234323,\n    87678\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.brevo.com/v3/corporate/group/unlink/groupId/subAccounts")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"subAccountIds\": [\n    423432,\n    234323,\n    87678\n  ]\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/corporate/group/unlink/groupId/subAccounts");
var request = new RestRequest(Method.PUT);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"subAccountIds\": [\n    423432,\n    234323,\n    87678\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["subAccountIds": [423432, 234323, 87678]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/corporate/group/unlink/groupId/subAccounts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```